# Zeedhi Report Webservice
Zeedhi Report Webservice is a service that create files as a data dump. It allows the integration between your project and most of external projects.
It will create a output file for your dataSources, which can be downloaded.


## Configuration

To use the webservice correctly you should configure your 'environment.json' file with the property 'reportsUrl'. There are two possible url's that you can use:

- https://rc-zhreport.teknisa.com
    * This is for developers. Use it on your development environment.

- https://zhreport.teknisa.com
    * This is for your final product. This is the one you should be using on production.

## Frontend Json
The last step is go to your json and add to the widget where the reports will be
generated based on the following configuration:

```
"floatingControl": {
    "xlsAction": {
        "dataSourceName": "YOUR_DATASOURCE"
    },
    "pdfAction": {
        "dataSourceName": "YOUR_DATASOURCE"
    }
}
```
## Configuring the type

To change the type of the report column on the xls you need to configure the property 'xlsDefaultType' on the json with one of the following values:
 
| Value | Format |
|:----|---------:|
| string| @ |
| integer | 0 |
| date | YYYY-MM-DD |
| datetime | YYYY-MM-DD HH:MM:SS |
| price | #,##0.00 |
| dollar | [$$-1009]#,##0.00;[RED]-[$$-1009]#,##0.00  |
| euro | '#,##0.00 [$€-407];[RED]-#,##0.00 [$€-407] |


To configure a column with a different type you must set the property 'xlsType'  inside the field on the json.