<?php
namespace tests\Zeedhi\ReportWebService\CreatorMocks;

class XLSXWriter implements \Zeedhi\ReportWebService\SpreadSheet\SpreadsheetWriter {
    protected $gridData;
    protected $metaData;
    protected $fileName = "PLACEHOLDER";

    protected function setXLSMetaData($metaData){
        $this->metaData = $metaData;
    }

    public function getXLSMetaData(){
        return $this->metaData;
    }

    protected function setXLSGridData($gridData){
        return $this->gridData = $gridData;
    }

    public function getXLSGridData(){
        return $this->gridData;
    }

    public function generateXLS($gridData, $metaData){
        $this->setXLSGridData($gridData);
        $this->setXLSMetaData($metaData);
        return $this->fileName;
    }
}