module.exports = function(grunt) {

    grunt.initConfig({

        buildEnvironment: {
            development: {
                configFile: 'config/development.json'
            },
            test: {
                configFile: 'config/test.json'
            },
            deploy: {
                configFile: 'config/deploy.json'
            },
            srcFolders: ['./']
        }
    });

    grunt.loadNpmTasks('grunt-zh-environment-builder');

    grunt.registerTask('default', ['buildEnvironment']);
    grunt.registerTask('test', ['buildEnvironment:test']);
    grunt.registerTask('deploy', ['buildEnvironment:deploy']);
};
